datablock ParticleData(LavaFlowExplosionParticle)
{
	dragCoefficient		= 10;
	windCoefficient		= 0.0;
	gravityCoefficient	= 2.5;
	inheritedVelFactor	= 0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 6000;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/particles/dot";
	//animTexName		= " ";

	// Interpolation variables
	colors[0]	= "1 0 0 1";
	colors[1]	= "1 0.2 0 1";
	colors[2]	= "1 0.5 0 1";
	sizes[0]	= 1.05;
	sizes[1]	= 0.35;
	sizes[2]	= 0.05;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(LavaFlowExplosionEmitter)
{
   ejectionPeriodMS = 4;
   periodVarianceMS = 0;

   ejectionVelocity = 4;
   velocityVariance = 4;

   ejectionOffset = 1;

   thetaMin         = 30.0;
   thetaMax         = 90.0;
   phiReferenceVel  = 360;
   phiVariance      = 360;  

   particles = "LavaFlowExplosionParticle";
};



datablock ParticleData(ExplodeT)
{
	dragCoefficient      = 0;
	gravityCoefficient   = -1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 1200;
	lifetimeVarianceMS   = 0;
	textureName          = "~/data/particles/chunk";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "1 0 0 0.9";
	colors[1]     = "1 0.2 0 0.9";
	sizes[0]      = 1;
	sizes[1]      = 0;
};

datablock ParticleEmitterData(ExplodeTEmi)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 0.0;
   ejectionoffset   = 2.0;
   thetaMin         = 90;
   thetaMax         = 90;
   phiReferenceVel  = 270;
   phiVariance      = 100;
   overrideAdvance = false;
   particles = "ExplodeT";
};

datablock ParticleData(IcyParticle )
{
	textureName        = "~/data/particles/SnowFlake";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = 0;
	inheritedVelFactor = 0;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 5000;
	lifetimeVarianceMS = 0;

	times[0] = 0.2;
	times[1] = 0.9;
	times[2] = 1.5;

   colors[0]     = "0.0 0.7 0.9 0.9";
   colors[1]     = "0.0 0.0 0.9 0.0";
	colors[2] = "0 0.0 0.5 0.5";

	sizes[0] = 0.5;
	sizes[1] = 0.2;
	sizes[2] = 0.1;
};

datablock ParticleEmitterData( IcyParticleEmitter )
{
	particles = "IcyParticle";
   ejectionPeriodMS = 30;
   periodVarianceMS = 0;
   ejectionVelocity = 2;
   velocityVariance = 0.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 360;
   phiReferenceVel  = 100;
   phiVariance      = 0;
   overrideAdvance = false;

};

datablock ParticleData(FireFOParticle )
{
	textureName        = "~/data/particles/Dot";
	dragCoefficient    = 0;
	windCoefficient	   = 0.0;
	gravityCoefficient = 0.1;
	inheritedVelFactor = 0;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 5000;
	lifetimeVarianceMS = 0;

	times[0] = 0.6;
	times[1] = 1;


   colors[0]     = "1 0.3 0.0 0.9";
   colors[1]     = "1 0.3 0.0 0.0";


	sizes[0] = 0.1;
	sizes[1] = 0.1;

};

datablock ParticleEmitterData( FireFOParticleEmitter )
{
	particles = "FireFOParticle";
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 1;
   velocityVariance = 0.0;
   ejectionOffset   = 2;
   thetaMin         = 0;
   thetaMax         = 36;
   phiReferenceVel  = 100;
   phiVariance      = 0;
   overrideAdvance = false;

};

datablock ParticleData(WaterDParticle )
{
	textureName        = "~/data/particles/dot";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = 0.2;
	inheritedVelFactor = 0;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 3000;
	lifetimeVarianceMS = 0;
	colors[0]	= "0 0 1 1";
	colors[1]	= "0 0 1 1";
	colors[2]	= "0 0.5 1 1";
	sizes[0]	= 0.15;
	sizes[1]	= 0.35;
	sizes[2]	= 0.05;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1.0;

};

datablock ParticleEmitterData( WaterDEmitter )
{
	particles = "WaterDParticle";
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 9001;
   phiVariance      = 0;
   overrideAdvance = false;

};



datablock ParticleData(StargateParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 600;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/particles/dot";
	//animTexName		= " ";

	// Interpolation variables
	colors[0]	= "0 0 1 1";
	colors[1]	= "0 0 1 1";
	colors[2]	= "0 0.5 1 1";
	sizes[0]	= 0.15;
	sizes[1]	= 0.35;
	sizes[2]	= 0.05;
	times[0]	= 0.0;
	times[1]	= 0.1;
	times[2]	= 1.0;
};


datablock ParticleEmitterData(StargateEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;

   ejectionVelocity = 4;
   velocityVariance = 4;

   ejectionOffset = 1;

   thetaMin         = 30.0;
   thetaMax         = 90.0;
   phiReferenceVel  = 360;
   phiVariance      = 360;  

   particles = StargateParticle;
};



datablock ParticleData(HurricaneParticle )
{
	textureName        = "~/data/particles/cloud";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.1;
	inheritedVelFactor = 0;
	useInvAlpha        = true;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 5000;
	lifetimeVarianceMS = 100;

	times[0] = 0.0;
	times[1] = 0.9;
	times[2] = 2;

	colors[0] = "0 0.0 0 1";
	colors[1] = "1 1 1 0.5";
	colors[2] = "0.5 0.5 0.5 1";

	sizes[0] = 1;
	sizes[1] = 1;
	sizes[2] = 1;
};

datablock ParticleEmitterData(HurricaneParticleEmitter)
{
	particles = "HurricaneParticle";
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = -2;
   velocityVariance = -1;
   ejectionOffset   = 3;
   thetaMin         = 89;
   thetaMax         = 90;
   phiReferenceVel  = 900;
   phiVariance      = 90;
   overrideAdvance = false;

};

datablock ParticleData( BubbleParticle )
{
	textureName        = "~/data/particles/bubble";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.1;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 5000;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.9;
	times[2] = 1.0;

	colors[0] = "0.0 0.0 1 1";
	colors[1] = "0.0 0.0 1 1";
	colors[2] = "0.0 0.0 0.0 0";

	sizes[0] = 0.0;
	sizes[1] = 0.9;
	sizes[2] = 1.0;
};

datablock ParticleEmitterData( BubbleParticleEmitter )
{
	particles = "BubbleParticle";

	ejectionPeriodMS = 50;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleData( FireParticle )
{
	textureName        = "~/data/particles/chunk";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.9;
	inheritedVelFactor = 00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 500;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "1 0 0.0 1";
	colors[1] = "1 0.5 0.0 0.1";
	colors[2] = "0.0 0.0 0.0 0.0";

	sizes[0] = 0.75;
	sizes[1] = 0.5;
	sizes[2] = 0.2;
};

datablock ParticleEmitterData( FireParticleEmitter )
{
	particles = "FireParticle";

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 1;
	velocityVariance = 1;

	thetaMin = -90.0;
	thetaMax = 00.0;
};

datablock ParticleData( FireParticle2 )
{
	textureName        = "~/data/particles/fire";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.3;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 500;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "0 0 1 0.1";
	colors[1] = "0 0 1 0.1";
	colors[2] = "0 0 1 0.0";

	sizes[0] = 1.0;
	sizes[1] = 1.0;
	sizes[2] = 5.0;
};

datablock ParticleEmitterData( FireParticleEmitter2 )
{
	particles = "FireParticle2";

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleData( FireParticle3 )
{
	textureName        = "~/data/particles/fire";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.3;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 500;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "0 1 0 0.1";
	colors[1] = "0 1 0 0.1";
	colors[2] = "0 1 0 0.0";

	sizes[0] = 1.0;
	sizes[1] = 1.0;
	sizes[2] = 5.0;
};

datablock ParticleEmitterData( FireParticleEmitter3 )
{
	particles = "FireParticle3";

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleData( FireParticle4 )
{
	textureName        = "~/data/particles/fire";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.3;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 500;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "0.6 0 0.6 0.1";
	colors[1] = "0.6 0 0.6 0.1";
	colors[2] = "0.6 0 0.6 0.0";

	sizes[0] = 1.0;
	sizes[1] = 1.0;
	sizes[2] = 5.0;
};

datablock ParticleEmitterData( FireParticleEmitter4 )
{
	particles = "FireParticle4";

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};


datablock ParticleData( FireParticle5 )
{
	textureName        = "~/data/particles/fire";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.3;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 500;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "1 0 0 0.1";
	colors[1] = "1 0 0 0.1";
	colors[2] = "1 0 0 0.0";

	sizes[0] = 1.0;
	sizes[1] = 1.0;
	sizes[2] = 5.0;
};

datablock ParticleEmitterData( FireParticleEmitter5 )
{
	particles = "FireParticle5";

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleEmitterNodeData( FireParticleEmitterNode )
{
	timeMultiple = 1;
};

datablock ParticleData( SmokeParticle )
{
	textureName        = "~/data/particles/smoke";
	dragCoefficient    = 0.0;
	windCoefficient	   = 0.0;
	gravityCoefficient = -0.2;
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 3000;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "0.6 0.6 0.6 0.1";
	colors[1] = "0.6 0.6 0.6 0.1";
	colors[2] = "0.6 0.6 0.6 0.0";

	sizes[0] = 0.5;
	sizes[1] = 0.75;
	sizes[2] = 1.5;
};

datablock ParticleEmitterData( SmokeParticleEmitter )
{
	particles = SmokeParticle;

	ejectionPeriodMS = 20;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleEmitterNodeData( SmokeParticleEmitterNode )
{
	timeMultiple = 1;
};
